Subject: Re: [EXT] Re: linux-next: build failure after merge of the dmaengine tree

From: Vinod Koul <[email-masked]>
Date: Wed, 4 Oct 2023 12:48:54 +0530

Hello Frank,

On 02-10-23, 16:26, Frank Li wrote:
> > On 29-09-23, 13:13, Stephen Rothwell wrote:
> > > Hi all,
> > >
> > > After merging the dmaengine tree, today's linux-next build (powerpc
> > > ppc64_defconfig) failed like this:
> > >
> > > ld: warning: discarding dynamic section .glink
> > > ld: warning: discarding dynamic section .plt
> > > ld: linkage table error against `ioread64'
> > > ld: stubs don't match calculated size
> > > ld: can not build stubs: bad value
> > > ld: fs/debugfs/file.o: in function `debugfs_print_regs':
> > > file.c:(.text+0xee8): undefined reference to `ioread64be'
> > > ld: file.c:(.text+0xf50): undefined reference to `ioread64'
> > >
> > > Caused by commit
> > >
> > >   09289d0ad122 ("debugfs_create_regset32() support 8/16/64 bit width
> > registers")
> > >
> > > I have used the dmaengine tree from next-20230928 for today.
> > 
> > Thanks for report, I have dropped offending commits for now.
> 
> Fixed patch already post at
> https://lore.kernel.org/dmaengine/[email-masked]/T/#u

I am not sure of this fix, someone has to pick this. let this get fixed
first and we can always pick back these patches.

My tree was broken meanwhile impacting others, so it was better to drop
for now.

Thanks for you understanding

-- 
~Vinod